Subject: Re: bug#31132: AUCTeX, RefTeX and biblatex's multicite commands

From: gusbrs <[email-masked]>
Date: Sat, 6 Apr 2024 18:51:30 -0300

Hi Arash,

On Sat, 6 Apr 2024 at 18:00, Arash Esbati <[email-masked]> wrote:

> Sorry for my late response; it seems I didn't have time during the last
> couple of years ;-)  Somehow this report went lost.

Oh, wow! Back from ancient times. I think this was my first ever
AUCTeX report.  :-)

>
> I had a look again and I plan to install the following change in Emacs
> master:
>
> [...]
>
> Do you have the chance to install this locally and test it again?  I
> will push it afterwards.  Thanks.
>

Sure, but please put me up to speed (it's been a long time, after
all). If I read the patch correctly, it seems the intent here is
adding support for "global" arguments (the ones delimited with
parentheses). Is that correct? Anything else? (I'm asking so I know
what to look for).

Also, I have been patching this and some related RefTeX functions,
especially for this reason, plus some others. Since you have your
hands on this, would you like me to share what I have here for them,
to see if you can spot anything which might be worth handling at this
point?

> > But, in performing the tests, I observed some other things associated
> > with biblatex's citation commands (some related to this issue, some
> > not) that I might as well report too, in the hope they will be
> > useful. As a regular biblatex user, I consider them minor.
> >
> > 1 - The multicite variants of 'volcite' are neither fontified nor call
> > RefTeX when inserted (with "C-c RET"). They are inserted "plain" but,
> > once inserted, "C-c [" will work on them. They are the following:
> > -volcites
> > -Volcites
> > -pvolcites
> > -Pvolcites
> > -fvolcites
> > -Fvolcites
> > -svolcites
> > -Svolcites
> > -tvolcites
> > -Tvolcites
> > -avolcites
> > -Avolcites
>
> Fontification should work now for limited number of args:
> https://git.savannah.gnu.org/cgit/auctex.git/tree/font-latex.el#n305
>
> > 2 - A couple of 'volcite' variants are fontified, but don't call
> > RefTeX when inserted:
> > -pvolcite
> > -ftvolcite
>
> Fixed with commit 9ba0093b.
>
> > 3 - One command is not fontified:
> > -footfullcite
>
> Is fixed.
>

Thanks for that! :-)

> > 4 - 'mcite'-like citation commands are neither fontified, nor call
> > RefTeX when inserted:
> > -mcite
> > -Mcite
> > -mparencite
> > -Mparencite
> > -mfootcite
> > -mfootcitetext
> > -mtextcite
> > -Mtextcite
>
> This is indeed nasty because of the notation (biblatex.pdf, page 120):
>
> \mcite{key1,setA,*keyA1,*keyA2,*keyA3,key2,setB,*keyB1,*keyB2,*keyB3}
>
> I have no idea what the best approach for this is.

Mhm, yeah. Tricky notation. No particularly interesting approach pops up to me.
In fairness, I've never seen any of those "in the wild".

>
> Again, sorry the late response.
>

I'm surprised you dug this back. It is appreciated. Thank you.

Best,
gusbrs